Bug 28454 - Add Koha version number to database schema link in reports
Summary: Add Koha version number to database schema link in reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-25 18:14 UTC by Owen Leonard
Modified: 2021-10-08 13:34 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 28454: Add Koha version number to database schema link in reports (2.47 KB, patch)
2021-05-26 12:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28454: Add Koha version number to database schema link in reports (2.53 KB, patch)
2021-05-28 15:44 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28454: Add Koha version number to database schema link in reports (2.53 KB, patch)
2021-08-11 19:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28454: (follow-up) Add schema version to link on reports home page (2.36 KB, patch)
2021-08-11 19:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28454: Add Koha version number to database schema link in reports (2.65 KB, patch)
2021-08-17 22:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28454: (follow-up) Add schema version to link on reports home page (2.49 KB, patch)
2021-08-17 22:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports (2.80 KB, patch)
2021-08-25 10:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports (2.84 KB, patch)
2021-09-20 16:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28454: (follow-up) Add missing filters (2.21 KB, patch)
2021-09-20 16:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports (2.91 KB, patch)
2021-09-26 11:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28454: (follow-up) Add missing filters (2.27 KB, patch)
2021-09-26 11:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-05-25 18:14:30 UTC
In reports, the link to the database schema points to the main page and the user must select their version. We know what version they're using, so we should append the version number to the link so that it takes them directly there.
Comment 1 Owen Leonard 2021-05-26 12:51:10 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2021-05-28 15:44:31 UTC Comment hidden (obsolete)
Comment 3 Lucas Gass 2021-05-28 15:45:50 UTC
tested in origin/20.05.x and origin/20.11.x

works well in both and this is a handy enhancement!
Comment 4 Katrin Fischer 2021-06-03 11:13:06 UTC
Hi Owen, could you please fix the link on the start page of the reports module as well?
Comment 5 Owen Leonard 2021-08-11 19:33:03 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2021-08-11 19:33:07 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2021-08-17 22:10:31 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2021-08-17 22:10:36 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2021-08-18 13:35:39 UTC
The second patch is removing lines that is not related to this change (and not advertised in the commit message). Is that expected?

Moreover you are duplicating code (that exists already), why don't you use 'Koha.Version' from the template instead?
Comment 10 Jonathan Druart 2021-08-25 10:45:38 UTC
Created attachment 124084 [details] [review]
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports
Comment 11 Jonathan Druart 2021-08-25 10:45:56 UTC
Owen, this is what I had in mind.
Comment 12 Owen Leonard 2021-09-20 16:17:42 UTC
Created attachment 125073 [details] [review]
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 13 Owen Leonard 2021-09-20 16:17:45 UTC
Created attachment 125074 [details] [review]
Bug 28454: (follow-up) Add missing filters
Comment 14 Katrin Fischer 2021-09-26 11:03:23 UTC
Created attachment 125316 [details] [review]
Bug 28454: [ALTERNATIVE PATCH] Add Koha version number to database schema link in reports

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Katrin Fischer 2021-09-26 11:03:27 UTC
Created attachment 125317 [details] [review]
Bug 28454: (follow-up) Add missing filters

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Jonathan Druart 2021-09-29 10:09:51 UTC
Patches will be squashed when pushed.
Comment 17 Jonathan Druart 2021-09-29 10:44:12 UTC
Pushed to master for 21.11, thanks to everybody involved!